Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class CheckOption

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
                      com.ejie.r01f.taglibs.xtags.CheckOption

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class CheckOption
extends BaseXTagWithEvents

Clase que define un tag CHECKOPTION utilizado en los xTags en conjunto con un CHECKLIST Un tag CHECKLIST se utiliza como: Lo que dara como resultado un xml como: esta seleccionado no esta seleccionado Si el atributo del xtag checkList 'textXMLElemName' no coincide con el atributo 'elementsName' el xml resultado sera: esta seleccionado no esta seleccionado

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`CheckOption()`

Method Summary
`int` | `doAfterBody()` Process the body of this tag.
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`boolean` | `getChecked()` Devuelve si el option esta marcado o no
`java.lang.String` | `getText()` Devuelve el texto de la opcion
`java.lang.String` | `getValue()` Devuelve el valor de la opcion
`void` | `release()` Release any acquired resources.
`void` | `setChecked(boolean isChecked)` Establece si el option está marcado o no
`void` | `setText(java.lang.String text)` Establece el texto (descripcion) de la opcion
`void` | `setValue(java.lang.String value)` Establece el valor de la opcion

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getTabindex, getTitle, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### CheckOption

    public CheckOption()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTagWithEvents`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()

  Process the body of this tag.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()

  Process the end of this tag. The default implementation does nothing.

### getChecked

    public boolean getChecked()

  Devuelve si el option esta marcado o no

  Returns:
    true si el option está marcado

### setChecked

    public void setChecked(boolean isChecked)

  Establece si el option está marcado o no

### getValue

    public java.lang.String getValue()

  Devuelve el valor de la opcion

  Returns:
    El valor

### setValue

    public void setValue(java.lang.String value)

  Establece el valor de la opcion

### getText

    public java.lang.String getText()

  Devuelve el texto de la opcion

  Returns:
    El texto

### setText

    public void setText(java.lang.String text)

  Establece el texto (descripcion) de la opcion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD